Skip to content

List modalities

Request

Returns a paginated list of Modalities for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"code""description""name"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
codestring

Practice- or system-specific code for the modality (e.g., 'XR', 'US').

descriptionstring

Optional description of the modality.

isActiveboolean

Indicates whether this modality is active and can be used.

namestring

Human-readable name of the modality.

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/modality?page=0&pageSize=10&sortBy=code&sortOrder=asc&code=string&description=string&isActive=true&name=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of Modalities